[vdr] Q: vdr-1.4.0/1.4.1 fail to compile

Andrey Vlassov andreyv at ece.ubc.ca
Fri Jun 16 20:10:33 CEST 2006


Hi,

thanks for a help.

I found what caused a problem just few minutes latter on linuxtv.org. 
And you are right my installation missed libcap1-devel package. After 
installation of it everything worked fine. Now it is time to recompile 
all plugins.

Andy

Anssi Hannula wrote:

>andreyv wrote:
>  
>
>>Hi,
>>
>>does anybody had a problem to compile vdr-1.4.0/1.4.1 with next error
>>
>>make[1]: *** No rule to make target `sys/capability.h', needed by
>>`vdr.o'. Stop.
>>
>>a quick check gives next
>>
>>locate capability.h
>>/usr/include/linux/capability.h
>>
>>if I modify vdr.c to look for linux/capability.h instead sys/capability.h
>>I am getting next error
>>    
>>
>
>They are different files.
>
>[...]
>  
>
>>OS: Mandriva 2006 (tried Mandriva 2005 with same error)
>>Kernel: 2.6.12-12mdk
>>DVB card: Nexus-S
>>CPU: Athlon 1200
>>
>>It looks like vdr-1.4.0/1.4.1 doesn't like my capability.h and I can not
>>find what could be a solution. Is there requirements for newer version
>>of kernel?
>>    
>>
>
>No, just do urpmi libcap-devel.
>
>
>  
>


-- 
----------------------------------------------------------
 Andrey Vlassov         UNIX System/Network administrator

 Department of Electrical & Computer Engineering
 University of British Columbia

 MCLD257, 2356 Main Mall       Phone: 604-822-8768
 Vancouver BC V6T 1Z4          Email: andreyv at ece.ubc.ca
 Canada
----------------------------------------------------------




More information about the vdr mailing list